// DlgCreateMap.cpp : implementation file
//

#include "stdafx.h"
#include "contenttrack.h"
#include "DlgCreateMap.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgCreateMap dialog


CDlgCreateMap::CDlgCreateMap(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgCreateMap::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgCreateMap)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_iSize = 1;
}


void CDlgCreateMap::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgCreateMap)
	DDX_Control(pDX, IDC_EDIT1, m_ctrlEdit);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgCreateMap, CDialog)
	//{{AFX_MSG_MAP(CDlgCreateMap)
	ON_BN_CLICKED(IDC_RADIO1, OnRadio1)
	ON_BN_CLICKED(IDC_RADIO2, OnRadio2)
	ON_BN_CLICKED(IDC_RADIO3, OnRadio3)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgCreateMap message handlers

void CDlgCreateMap::OnOK() 
{	
	CDialog::OnOK();
	this->m_ctrlEdit.GetWindowText(m_strName);
}

void CDlgCreateMap::OnRadio1() 
{
	m_iSize = 1;	
}

void CDlgCreateMap::OnRadio2() 
{
	m_iSize = 2;
}

void CDlgCreateMap::OnRadio3() 
{
	m_iSize = 4;	
}

BOOL CDlgCreateMap::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CButton *bt	= (CButton *)GetDlgItem(IDC_RADIO1);
	bt->SetCheck(1);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
